man(1)

NAME
linotp-decrypt-otpkey - decrypt values of encrypted OTP Keys.

SYNOPSIS
linotp-decrypt-otpkey --otp=<LinOtpKeyEnc> --iv=<LinOtpKeyIV> --enckey=<key file>

DESCRIPTION
This tool can decrypt the OTP Key stored in the LinOTP database. You need to pass the encrypted key, the IV and the filename of the encryption key.

COMMON OPTIONS

--otp=<LinOtpKeyEnc>
    Pass the encrpyted key taken from the database.

--iv=<LinOtpKeyIV>
    Pass the IV taken from the database.

--enckey=<filename>
    Pass the encryption key file.

EXAMPLE
linotp-decrypt-otpkey --otp=1c224d3....106aab4d703e4 --iv=14c6d84d04b4e2a7a5f04e1134761f7e --enckey=/etc/linotp2/encKey Response would be: CB4F416398FA7725F521DBCCCC19F3E9F8DF4727 You may read the encrypted OTP and the IV from the database mysql> select LinOtpTokenSerialnumber, LinOtpKeyEnc, LinOtpKeyIV from Token;

INTERNET SOURCES
https://www.linotp.org, https://www.keyidentity.com

SEE ALSO
linotpadm (1)

BUGS
No known bugs.

AUTHOR
KeyIdentity GmbH <linotp@keyidentity.com>